ItemEvents.rightClicked('kubejs:apollyon_hint_one', event => {
  const player = event.player
  const text = 'caesar.!(-3)... Eruq lq gdunqhvv, zlwklq wkh Rplqrxv Eodfn Vplwk.'
  const textCopy = 'Eruq lq gdunqhvv, zlwklq wkh Rplqrxv Eodfn Vplwk.'

  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
    event.server.scheduleInTicks(i * 10, () => {
      player.displayClientMessage(
        Component.literal(text).red(),
        true
      )
    })
  }

  player.displayClientMessage(
    Component.literal('[ Click to copy the hint ] ')
      .darkRed()
      .bold()
      .clickCopy(textCopy)
      .hover('Click to copy'),
      false
    )

  player.runCommandSilent('playsound goety:apostle_death player @s')

  event.cancel()
})

ItemEvents.rightClicked('kubejs:apollyon_hint_two', event => {
  const player = event.player

  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
  event.server.scheduleInTicks(i * 10, () => {
    player.displayClientMessage(
      Component.literal(
        'Sanghor scatters his ingots. Gather them, unite their power, and lay them where the world’s heart lies.'
      ).red(),
      true 
        )
    })
    }


  player.runCommandSilent('playsound goety:apostle_death player @s')

  event.cancel()
})

ItemEvents.rightClicked('kubejs:apollyon_hint_three', event => {
  const player = event.player
  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
  event.server.scheduleInTicks(i * 10, () => {
    player.displayClientMessage(
      Component.literal(
        'The orb of shadow stirs at your hand.'
      ).red(),
      true 
        )
    })
    }


  player.runCommandSilent('playsound goety:apostle_death player @s')

  event.cancel()
})

ItemEvents.rightClicked('kubejs:apollyon_hint_four', event => {
  const player = event.player

  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
  event.server.scheduleInTicks(i * 10, () => {
    player.displayClientMessage(
      Component.literal(
        'Let the Helionite block rest where flames cannot reach the top of the Nether.'
      ).red(),
      true 
        )
    })
    }


  player.runCommandSilent('playsound goety:apostle_death player @s')
  event.cancel()
})

ItemEvents.rightClicked('kubejs:apollyon_hint_five', event => {
  const player = event.player

  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
  event.server.scheduleInTicks(i * 10, () => {
    player.displayClientMessage(
      Component.literal(
        'Said to fall from a warrior of flame, hidden deep within the Pyro Tower.'
      ).red(),
      true 
        )
    })
    }


  player.runCommandSilent('playsound goety:apostle_death player @s')

  event.cancel()
})


ItemEvents.rightClicked('kubejs:apollyon_hint_six', event => {
  const player = event.player

  player.potionEffects.add('minecraft:blindness', 40, 0, false, false)

  for (let i = 0; i < 8; i++) {
  event.server.scheduleInTicks(i * 10, () => {
    player.displayClientMessage(
      Component.literal(
        'Has a chance to be found in the shadowed ruins beneath the surface.'
      ).red(),
      true 
        )
    })
    }


  player.runCommandSilent('playsound goety:apostle_death player @s')

  event.cancel()
})